log4j.category.com.jniwrapper=FATAL
log4j.logger.HotShot_Client=DEBUG,A1D,A2D

###############################################################
# Standard Logger
###############################################################
# APPENDER A1
log4j.appender.A1=org.apache.log4j.ConsoleAppender

# PatternLayoutの設定
log4j.appender.A1.layout=org.apache.log4j.PatternLayout
log4j.appender.A1.layout.ConversionPattern=%d{MMM/dd/yyyy HH:mm:ss} %-5p: %m%n

# APPENDER A2
log4j.appender.A2 = org.apache.log4j.RollingFileAppender
log4j.appender.A2.File = client.log
log4j.appender.A2.MaxFileSize=1MB
log4j.appender.A2.MaxBackupIndex=3

# PatternLayoutの設定
log4j.appender.A2.layout=org.apache.log4j.PatternLayout
log4j.appender.A2.layout.ConversionPattern=%d{MMM/dd/yyyy HH:mm:ss} %-5p: %m%n

###############################################################
# Debug Logger
###############################################################

# APPENDER A1D 
log4j.appender.A1D=org.apache.log4j.ConsoleAppender
# PatternLayoutの設定
log4j.appender.A1D.layout=org.apache.log4j.PatternLayout
log4j.appender.A1D.layout.ConversionPattern=%d{MMM/dd/yyyy HH:mm:ss} %-5p [%l] %m%n


# APPENDER A2D for ModernShare Client
log4j.appender.A2D = org.apache.log4j.RollingFileAppender
log4j.appender.A2D.File = client_debug.log
log4j.appender.A2D.MaxFileSize=2MB
log4j.appender.A2D.MaxBackupIndex=3
# PatternLayoutの設定
log4j.appender.A2D.layout=org.apache.log4j.PatternLayout
log4j.appender.A2D.layout.ConversionPattern=%d{MMM/dd/yyyy HH:mm:ss} %-5p [%l] %m%n
